Texa DeskDevelopers

Texa Desk Application API · Custom attributes

List all custom attributes in an account

GET/api/v1/accounts/{account_id}/custom_attribute_definitions

Get details of custom attributes in an Account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

attribute_modelstringrequired

conversation_attribute(0)/contact_attribute(1)

Responses

200

Success

idinteger

Identifier

attribute_display_namestring

Attribute display name

attribute_display_typestring

Attribute display type (text, number, currency, percent, link, date, list, checkbox)

attribute_descriptionstring

Attribute description

attribute_keystring

Attribute unique key value

regex_patternstring

Regex pattern

regex_cuestring

Regex cue

attribute_valuesstring

Attribute values

attribute_modelstring

Attribute type(conversation_attribute/contact_attribute)

default_valuestring

Attribute default value

created_atstring

The date and time when the custom attribute was created

updated_atstring

The date and time when the custom attribute was updated

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring